# Wallpaper image set

An action block that sets the home screen background wallpaper to an image.

The fiber will pause until the image has been loaded and set.

Leaving image URI empty, or `null`, will clear the wallpaper, restoring to system default.

## Input arguments

- Image URI — content URI or file path to an PNG or JPEG image, default is clear/no wallpaper.
- Which — which wallpaper to set, general system or lock screen (Android 7+) wallpaper, default is System.